Subject: Re: Fw: Bug in fstream code and gcc-2 package?
From: Beman Dawes <[email-masked]>
To: [email-masked]
Cc: "John Maddock" <[email-masked]>
Date: Sat, 03 Jan 2004 09:39:37 -0500

At 06:58 AM 1/3/2004, John Maddock wrote:
 >Beman,
 >
 >Here's the reply I got from the cygwin list on this, can you reply with
 >details of your system and the fact that it fails there?

John's fstream.cpp test program fails on my Win XP SP 1 system. I've 
reinstalled cygwin gcc and mingw components freshly downloaded. The gcc and 
gcc-g++ .tar.bz2 files are identified as 3.3.1-3. The mingw-runtime id is 
3.2-1.

The command line I'm using is simply: g++ fstream.cpp

Executing the resulting program results in:

   2 [main] a 1668 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
413 [main] a 1668 open_stackdumpfile: Dumping stack trace to 
a.exe.stackdump

The program compiles and executes correctly with Borland, Intel, 
Metrowerks, and Microsoft compilers.

Any suggestions? This is the system used to run the Boost Win32 regression 
tests, and we would like to eliminate as many gcc/cygwin failures as 
possible. See http://boost.sourceforge.net/regression-logs/

Thanks,

--Beman Dawes

 >
 >Many thanks,
 >
 >John.
 >
 >----- Original Message -----
 >From: "Larry Hall" <[email-masked]>
 >To: "John Maddock" <[email-masked]>; <[email-masked]>
 >Sent: Friday, January 02, 2004 2:46 PM
 >Subject: Re: Bug in fstream code and gcc-2 package?
 >
 >
 >> At 07:54 AM 1/2/2004, John Maddock you wrote:
 >> >The following example code works cleanly on all the platforms I've
 >tested
 >> >on, except the gcc-2 package where it segfaults:
 >>
 >>
 >> The gcc-2 package has been removed as a package from Cygwin mirrors (or
 >> should be) and is no longer supported.  Try it with the current Cygwin
 >> gcc/g++ package (3.3.1).  Your code executes without a crash there.
 >>
 >>
 >>
 >> --
 >> Larry Hall                              http://www.rfk.com
 >> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
 >> 838 Washington Street                   (508) 893-9889 - FAX
 >> Holliston, MA 01746
 >>
 >>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/